org.faceless.pdf2.viewer2.feature

## Class AnnotationAdd

- java.lang.Object
- - org.faceless.pdf2.viewer2.ViewerFeature
  - - org.faceless.pdf2.viewer2.ViewerWidget
    - - org.faceless.pdf2.viewer2.ToggleViewerWidget
      - - org.faceless.pdf2.viewer2.feature.AbstractRegionSelector
        - - org.faceless.pdf2.viewer2.feature.AnnotationAdd

- All Implemented Interfaces:
    DocumentPanelListener, PagePanelInteractionListener

      public class AnnotationAdd
      extends AbstractRegionSelector

  An `AbstractRegionSelector` that allows new annotations to be added to the PDF Page.
  The following initialization parameters can be specified to configure this feature.

  factories | A comma-separated list of `AnnotationComponentFactory` names that should be used to initialize this feature.

  The name of this feature is AnnotationAdd

  This code is copyright the Big Faceless Organization. You're welcome to use, modify and distribute it in any form in your own projects, provided those projects continue to make use of the Big Faceless PDF library.

  Since:
    2.8

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationAdd()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `action(PagePanel panel, Point2D start, Point2D end)` Called when an area of the PDF has been selected.
    `void` | `addAnnotationFactory(AnnotationComponentFactory factory)` Add an `AnnotationComponentFactory` so that it can be used to create new annotatations.
    `ActionListener` | `createActionListener()` Return an ActionListener that will be called when this Widget is activated.
    `void` | `documentUpdated(DocumentPanelEvent event)` Called when an `DocumentPanelEvent` is raised
    `void` | `initialize(PDFViewer viewer)` Called when the feature is first added to a viewer
    `void` | `removeAnnotationFactory(AnnotationComponentFactory factory)` Remove an `AnnotationComponentFactory` from the list of factories available to create a new annotation.
    `void` | `setAnnotationFactories(AnnotationComponentFactory[] factories)` Set the list of `AnnotationComponentFactory` objects that can be used to add annotations.

    - ### Methods inherited from class org.faceless.pdf2.viewer2.feature.AbstractRegionSelector

      `action, createRubberBoxComponent, pageAction, paintRubberBandComponent, updateViewport`

    - ### Methods inherited from class org.faceless.pdf2.viewer2.ToggleViewerWidget

      `getGroupName, getGroupOwner, getGroupSelection, getWidgets, isSelected, setGroupOwner, setSelected`

    - ### Methods inherited from class org.faceless.pdf2.viewer2.ViewerWidget

      `getComponent, getIcon, getViewer, isButtonEnabledByDefault, isDocumentRequired, isMenuEnabledByDefault, setButton, setComponent, setDocumentRequired, setMenu, setMenu, setToolBarEnabled, setToolBarEnabledAlways, setToolBarFloatable, setToolBarFloating, toString`

    - ### Methods inherited from class org.faceless.pdf2.viewer2.ViewerFeature

      `getAllEnabledFeatures, getAllFeatures, getCustomJavaScript, getFeatureProperty, getFeatureURLProperty, getName, isEnabledByDefault, setFeatureName, teardown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationAdd

          public AnnotationAdd()

  - ### Method Detail

    - #### createActionListener

          public ActionListener createActionListener()

      Description copied from class: `ViewerWidget`
      Return an ActionListener that will be called when this Widget is activated. Subclasses will typically not need to override this method except in special cases.
      Overrides:
        `createActionListener` in class `ViewerWidget`
      Returns:
        ActionListener the ActionListener to be notified when an event fires
      See Also:
        `Quit.createActionListener()`

    - #### initialize

          public void initialize(PDFViewer viewer)

      Description copied from class: `ViewerFeature`
      Called when the feature is first added to a viewer
      Overrides:
        `initialize` in class `AbstractRegionSelector`

    - #### documentUpdated

          public void documentUpdated(DocumentPanelEvent event)

      Description copied from interface: `DocumentPanelListener`
      Called when an `DocumentPanelEvent` is raised
      Specified by:
        `documentUpdated` in interface `DocumentPanelListener`
      Overrides:
        `documentUpdated` in class `AbstractRegionSelector`

    - #### setAnnotationFactories

          public void setAnnotationFactories(AnnotationComponentFactory[] factories)

      Set the list of `AnnotationComponentFactory` objects that can be used to add annotations. Each factory must return something useful from `AnnotationComponentFactory.createNewAnnotation()`, `AnnotationComponentFactory.getAnnotationType()` and `createEditComponent()`.
      Parameters:
        `factories` - the factories
      Since:
        2.10

    - #### addAnnotationFactory

          public void addAnnotationFactory(AnnotationComponentFactory factory)

      Add an `AnnotationComponentFactory` so that it can be used to create new annotatations. The factory must return something useful from `AnnotationComponentFactory.createNewAnnotation()`, `AnnotationComponentFactory.getAnnotationType()` and `createEditComponent()`.
      Parameters:
        `factory` - the Factory
      Since:
        2.10

    - #### removeAnnotationFactory

          public void removeAnnotationFactory(AnnotationComponentFactory factory)

      Remove an `AnnotationComponentFactory` from the list of factories available to create a new annotation.
      Parameters:
        `factory` - the Factory
      Since:
        2.10

    - #### action

          public void action(PagePanel panel,
                             Point2D start,
                             Point2D end)

      Description copied from class: `AbstractRegionSelector`
      Called when an area of the PDF has been selected.
      Overrides:
        `action` in class `AbstractRegionSelector`
      Parameters:
        `panel` - the PagePanel the selection was made on.
        `start` - the start point of the selection, in PDF-units
        `end` - the end point of the selection, in PDF-units

Copyright © 2001-2015 Big Faceless Organization